.\" Copyright (c) 1991-94 Lectra-Systemes
.\" $Id: xtel.man,v 1.4 1995/04/11 14:07:17 pierre Exp $
.TH XTEL n "Lectra-Systemes" "09/94"
.UC 5
.SH NOM
xtel \- Emulateur MINITEL 
.SH SYNOPSIS
xtel [-petit] [-ng] [-br] [-serveur serveur_xtel] [-service service_xtel] [options_standards Xt]
.SH DESCRIPTION
.I xtel
est un emulateur de Minitel 1B/2 destine a X11R4/R5 . Il permet de
plus la sauvegarde et le decodage hors-ligne de pages videotex. Ce client fonctionne
sur ecran couleur, niveaux de gris ou bien monochrome.
.SH OPTIONS
.TP
.B "\-ng"
 Niveaux de gris : dans le cas d'un ecran couleur, on utilise des niveaux de gris
et non pas des couleurs (comme sur le vrai Minitel).
.TP
.B "\-petit"
 Petit ecran : la taille de l'ecran d'emulation est de 320 x 250 pixels. Cela tient
moins de place mais c'est peu lisible dans le cas d'un ecran monochrome de taille
courante (15" ou 16").
.TP
.B "\-serveur"
 Nom de la machine serveur (supportant xteld). On peut egalement specifier le nom
du serveur par la ressource \fBserveur\fP .
.TP
.B "\-service"
 Nom du service de \fI/etc/services\fP a utiliser. On peut egalement specifier le
nom du service par la ressource \fBnomService\fP .
.TP
.B "\-br"
 Permet de specifier la presence du bouton \fIRaccrocher\fP dans le popup-menu du
clavier Minitel (utilise si le modem ne gere pas le signal DCD).
.SH UTILISATION
.LP
Apres lancement du programme, on peut selectionner 3 ou 4 menus deroulants en haut de la
fenetre. 
.LP
Le menu 
.B Fichier
contient les entrees :
.sp
.I "Charge l'enregistrement"
 Charge un enregistrement en memoire (il sera exploite grace a la fonction \fIlecteur\fP
du menu suivant) .
.sp
.I "Sauve l'enregistrement"
 Sauve ce qui a ete enregistre sur un fichier.
.sp
.I "Imprime"
 Imprime la page courante.
.sp
.I "Quitte"
 Quitte le programme.
.LP 2
Le menu 
.B Enregistrement
Permet de controler l'enregistrement des pages Videotex. Il contient les entrees :
.sp
.I "Nouvel enregistrement"
 Initialise la zone d'enregistrement (ce qui etait enregistre est perdu).
.sp
.I "Demarre"
 Valide l'enregistrement, tout ce qui est affiche sur l'ecran est sauve en memoire.
.sp
.I "Arrete"
 Stoppe l'enregistrement
.sp
.I "Lecteur"
 Appele le lecteur d'enregistrement (fonction magnetoscope). Les fonctions du 
lecteur sont :
.LP
.in +7
.nf
|<<        Debut de page
<<         Page precedente
[]         Stop
>          Lecture
>>         Page suivante	
.fi
.in -7
.sp
.LP 2
Le menu 
.B Services
est cree au debut en interrogeant le demon \fIxteld\fP . Dans le cas ou le modem est
un Minitel 1/1B, ce menu n'est pas affiche (l'utilisateur compose a la main). Pour
etablir la connexion avec le service, il faut OBLIGATOIREMENT utiliser le bouton
CONNEXION/FIN de XTEL (et non celui du Minitel). Par contre, on peut liberer la ligne
en utilisant le bouton CX/FIN du Minitel.
.LP 2
Le menu 
.B Procedures
est cree si le fichier $HOME/.xtelproc existe. Il permet de definir des procedures
d'interrogation de serveurs Teletel (composition puis envoi automatique de chaines
ou de touches Minitel sur reconnaissance d'un texte particulier). 
.sp
Dans le cas ou le modem est un M1/M1B, l'utilisateur devra composer a la main le
numero du service et selectionner la procedure pour etablir la connexion (au lieu 
d'utiliser le CONNEXION/FIN).
.LP
La syntaxe du fichier \fI.xtelproc\fP est la suivante :
.sp
.in +7
.nf
	P Nom_de_procedure
	S numero_telephone_service	(inutile si le modem est un Minitel 1)
	A chaine_attendue
	E chaine_a_envoyer
	A chaine_attendue
	E chaine_a_envoyer
	...
	P Nom_de_procedure
	...
.fi
.in -7
.LP
Pour emettre des commandes Minitel (ENVOI, RETOUR, etc), on utilise la syntaxe
suivante dans la chaine a emettre :
.sp
.in +7
.nf
	ENVOI                 \\A
	RETOUR                \\B
	REPETITION            \\C
	GUIDE                 \\D
	ANNULATION            \\E
	SOMMAIRE              \\F
	CORRECTION            \\G
	SUITE                 \\H
	CONNEXION_FIN         \\I
.fi
.in -7
.LP
Par exemple :
.sp
.in +7
.nf
	P Cr\\351dit Lyonnais
	S 3615
	A SERVICE
	E CLFINANCES\\A
.fi
.in -7
.LP
La procedure s'appelle "Credit Lyonnais" (avec l'accent aigu !). On compose le
3614, sur reception de "SERVICE" on emet "CL330" suivi de ENVOI (\\A).
.sp
.LP 2
Le menu 
.B Xtel
permet d'obtenir des informations sur la version et la configuration du programme.
.LP 2
L'emulation des touches du Minitel (Envoi, Retour, etc...) est realisee par un 
popup-menu accessible par \fBBouton 2\fP. Les raccourcis clavier sont indiques dans
le menu. Ce meme menu permet de selectionner le mode d'emulation (Videotex,
Tele-informatique ASCII, Tele-informatique francais).
.sp
XTEL fait de la reconnaissance de chaine de caracteres dans la page Minitel, c'est a
dire que l'on peut cliquer
.B directement
dans la page les chaines correspondant aux touches Minitel (Envoi, Retour, etc...) ou 
par defaut aux valeurs a saisir (\fBBouton 1\fP).
.sp
On peut obtenir une approximation ASCII de la page courante sur la sortie standard en 
cliquant sur \fBBouton 3\fP.
.SH RESSOURCES
XTEL utilise les ressources specifiques suivantes :
.PP
.TP 8
.B petiteFonte 
 Specifie la petite fonte (void option -petit)
.TP 8
.B serveur 
 Specifie le serveur XTEL (void option -serveur)
.TP 8
.B commandeImpression 
 Specifie la commande pour imprimer la page courante
.TP 8
.B nomService
 Specifie le nom du service TCP (xtel, par defaut)
.SH "VOIR AUSSI"
X(1) xteld
.SH BUGS
.LP
La deconnexion d'un service Teletel 1/2/3 (ce qui entraine le retour a la page de
presentation) est beaucoup plus lente que sur un vrai Minitel (cela prend quelque
secondes..). 
.sp 0
Cela est certainement du a une gestion insuffisante des codes PRO1 (1B 39). Je verrai
ca quand j'aurai un peu plus de doc !
.LP
Il reste certainement quelques anomalies dans l'emulation !!
.SH FICHIERS
.in +7
.nf
/usr/lib/X11/app-defaults/XTel
/usr/lib/X11/app-defaults/XTelm
$HOME/.xtelproc
.fi
.in -7
.SH COPYRIGHT
Copyright 1992-95, LECTRA-SYSTEMES
.SH AUTEUR
Pierre FICHEUX  R&D  LECTRA-SYSTEMES ZI Marticot 33610 Cestas FRANCE






